D-Bus: DBusThreadFunctions Struct Reference

D-Bus 1.12.20

Data Fields
DBusThreadFunctions Struct Reference
D-Bus low-level public API » Thread functions

Functions that must be implemented to make the D-Bus library thread-aware. More...

`#include <dbus-threads.h>`

## Data Fields
unsigned int | mask
| Mask indicating which functions are present.
DBusMutexNewFunction | mutex_new
| Function to create a mutex; optional and deprecated.
DBusMutexFreeFunction | mutex_free
| Function to free a mutex; optional and deprecated.
DBusMutexLockFunction | mutex_lock
| Function to lock a mutex; optional and deprecated.
DBusMutexUnlockFunction | mutex_unlock
| Function to unlock a mutex; optional and deprecated.
DBusCondVarNewFunction | condvar_new
| Function to create a condition variable.
DBusCondVarFreeFunction | condvar_free
| Function to free a condition variable.
DBusCondVarWaitFunction | condvar_wait
| Function to wait on a condition.
DBusCondVarWaitTimeoutFunction | condvar_wait_timeout
| Function to wait on a condition with a timeout.
DBusCondVarWakeOneFunction | condvar_wake_one
| Function to wake one thread waiting on the condition.
DBusCondVarWakeAllFunction | condvar_wake_all
| Function to wake all threads waiting on the condition.
DBusRecursiveMutexNewFunction | recursive_mutex_new
| Function to create a recursive mutex.
DBusRecursiveMutexFreeFunction | recursive_mutex_free
| Function to free a recursive mutex.
DBusRecursiveMutexLockFunction | recursive_mutex_lock
| Function to lock a recursive mutex.
DBusRecursiveMutexUnlockFunction | recursive_mutex_unlock
| Function to unlock a recursive mutex.
void(* | padding1 )(void)
| Reserved for future expansion.
void(* | padding2 )(void)
| Reserved for future expansion.
void(* | padding3 )(void)
| Reserved for future expansion.
void(* | padding4 )(void)
| Reserved for future expansion.

## Detailed Description

Functions that must be implemented to make the D-Bus library thread-aware.

If you supply both recursive and non-recursive mutexes, libdbus will use the non-recursive version for condition variables, and the recursive version in other contexts.

The condition variable functions have to work with nonrecursive mutexes if you provide those, or with recursive mutexes if you don't.

Definition at line 152 of file dbus-threads.h.

The documentation for this struct was generated from the following file:

- dbus-threads.h